Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 155426

Summary: fedora keys should not be downloaded
Product: [Fedora] Fedora Reporter: Martin Welss <martin.welss>
Component: up2dateAssignee: Adrian Likins <alikins>
Status: CLOSED NOTABUG QA Contact: Fanny Augustin <fmoquete>
Severity: medium Docs Contact:
Priority: medium    
Version: 4Keywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-06-27 15:58:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Martin Welss 2005-04-20 08:01:37 UTC
Description of problem:
the fedora keys to verify packages should be part of the installation iso-image
to prevent spoofing

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install fedora
2. run up2date-gui
3. up2date wants to download a key
  
Actual results:


Expected results:


Additional info:

Comment 1 Frank Starmer 2005-04-22 15:08:46 UTC
A workaround is to use up2date-config, unclick on "Use GPG to verify package
integrity" under Retrieval / Installation and save.

Comment 2 Jeremy Katz 2005-04-27 23:55:22 UTC
Does up2date download it or grab it from /usr/share/rhn/...?

Comment 3 Martin Welss 2005-04-28 07:22:50 UTC
good point! it justs asks if I want to install the key, but does not say from
where... so it might be from /usr/share/rhn

Comment 4 Rahul Sundaram 2005-06-27 15:58:28 UTC

It imports from /usr/share/rhn which is not a bug and doesnt have a chance of
being spoofed